//3456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_
//
// Proj1View.h : interface of the CProj1View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROJ1VIEW_H__FD2587D7_D876_4854_B8FF_A8E34E13FE64__INCLUDED_)
#define AFX_PROJ1VIEW_H__FD2587D7_D876_4854_B8FF_A8E34E13FE64__INCLUDED_

#include "quikGL.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProj1View : public CView
{
protected: // create from serialization only
	CProj1View();
	DECLARE_DYNCREATE(CProj1View)

// Attributes
public:
	CProj1Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProj1View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	CquikGL m_GLstuff;
	virtual ~CProj1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

	/* ankit: This is to remember which mouse button was pressed */
	int button_pressed; /* 0 = none, 1 = left, 2 = right */

// Generated message map functions
protected:
	//{{AFX_MSG(CProj1View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Proj1View.cpp
inline CProj1Doc* CProj1View::GetDocument()
   { return (CProj1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROJ1VIEW_H__FD2587D7_D876_4854_B8FF_A8E34E13FE64__INCLUDED_)
